<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head>
<!-- This file was converted to xhtml by Writer2xhtml ver. 0.9.2. See http://www.hj-gym.dk/~hj/writer2latex for more info. -->
<meta name="generator" content="HTML Tidy for tsWebEditor (www.tswebeditor.tk) (vers 4 July 2006), see www.w3.org" /><title>Managing &nbsp;(Adding, Copying, Publishing)
Resources in a Project</title>

<meta content="text/html; charset=utf-8" http-equiv="Content-Type" />
<link href="http://purl.org/dc/elements/1.1/" rel="schema.DC" />
<meta content="Jens Mittelbach" name="DC.creator" />
<meta content="2008-11-20T17:22:11.14" name="DC.date" />
<link rel="stylesheet" href="../help.css" charset="utf-8" type="text/css" />
</head>
<body>
<h1 id="toc0">Managing &nbsp;(Adding, Copying,
Publishing) Resources in a Project</h1>
<p>When the new project has been created, TextGrid objects (e.g.
TEI/XML texts, XSLT adaptors, images) can be added or an existing
object belonging to another project can be copied into the new project.</p>
<p>Create a new object either by selecting “File” in the menu bar
and left-clicking “New Object ...” or by right-clicking anywhere in the
<a href="../navigator/open.html"><em>Navigator</em></a>
window and selecting “New Object ...” from the context menu.</p>
<p class="NoteP"><span class="Note">Note:</span>
If you want to create a new
object using the menu bar and have not logged in yet, you will now be
required to authenticate (cf. <a href="authentication.html">Authentication</a>).
Also make sure that you have appropriate
rights for creating objects (cf. <a href="addingUsers.html">Adding
Users and Assigning Roles</a>).</p>
<p>A dialogue opens:</p>
<div class="frameFrame" id="Createdialogue7Cframe">
<div> <img alt="Grafik3" class="frameGraphics" id="Grafik37Cgraphics" src="managingResources-img1.png" /></div>
<p class="Figure">Figure: Create object wizard</p>
</div>
<p>If the project that is to contain the new object is not
preselected in the create object dialogue, left-click it now. Select
the
object type in the dropdown menu <em>Type</em> and click
on the button <em>Next</em> for assinging metadata (cf. <a href="../metadataEditor/createMetadata.html">Creating
Metadata</a>) and a schema (cf. <a href="../xmlEditor/xml-editor7.xhtml">Associating an XML
Schema and Validating XML Files</a>)&nbsp; to the new object.</p>
<p class="NoteP"><span class="Note">Note:</span>
Metadata and a schema can be added later. You can click on the button <em>Finish</em>
at any time.</p>
<p>After finishing the <em>Create Object</em>
wizard, click on the button <em>Finish</em>.
A new perspective is opened
showing the <em>Metadata Editor</em> and the <em>XML
Editor</em>. Now you can start editing the object (cf.
documentation of <a href="../metadataEditor/toc.html"><em>Metadata Editor</em></a> and <a href="../xmlEditor/xml-editor1.xhtml"><em>XML
Editor</em></a>).</p>
<p>Copying an object from another project is to be a standard
function of TextGridLab. At this stage, however, it has not yet been
implemented.</p>
<p>Objects can be published in order to be readable for the
general public. Published objects in TextGrid cease to be editable and
cannot be deleted any longer. Publish an object by right-clicking it in
the <em>Navigator</em> or in the <em>Search Results</em>
view of the <em>Search</em> module (cf. documentation of
Search module) and selecting “Publish”.</p>
<p>Although a role invested with delete rights (Administrator)
has been defined within the roles and rights concept of TextGrid, at
this stage deleting objects is not possible.</p>
<h2>Related Topics</h2>
<ul class="relatedList">
<li><a href="authentication.html">Authentication</a></li>
<li><a href="newProject.html">Creating a New
Project</a></li>
<li><a href="addingUsers.html">Adding Users and
Assigning Roles</a></li>
<li><a href="../metadataEditor/createMetadata.html">Creating
Metadata</a></li>
<li><a href="../xmlEditor/xml-editor7.xhtml">Associating
an XML Schema and Validating XML Files</a></li>
<li><a href="../navigator/browse.html">Browsing
your Projects</a></li>
</ul>
<p></p>
</body></html>